
Redmine - Defect #16166

Incorrect data on Issues assigned to me on MyPage

2014-02-25 12:50 - Giorgos Vythoulkas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.4.1

Description

Environment:

Redmine version                2.4.1.stable

Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.7.8

Git                            1.8.3

Filesystem

Redmine plugins:

no plugin installed

Related issues:

Related to Redmine - Defect #16038: Issue#css_classes corrupts user.groups as... Closed

History

#1 - 2014-02-25 12:59 - Giorgos Vythoulkas

On MyPage there is incorrect data on the block "Issues assigned to me".

Total issue count is 23 (instead of 3) and the 23 displayed issues are not actually assigned to the logged on user.

Moreover, when redesigning the mypage layout and after removing the "issues assigned to me" block and re-inserting it:

- if it is allocated on the top section it shows correct data: 3 issues

- if it is allocated on the right section it shows incorrect data: 23 issues

After profiling it in MySql, there is a related strange query where clause: WHERE `issues`.`assigned_to_id` IN (4, 3)

Logged On user has an id = 4, belongs to a group with id = 5 and is an administrator.

The user with id = 3 belongs to the same group with id = 5

#2 - 2014-02-28 13:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

I think it was a side-effect of #16038 which was fixed in 2.4.3.

Please reopen if the problem still occurs after 2.4.3.

#3 - 2014-02-28 13:28 - Jean-Philippe Lang

- Related to Defect #16038: Issue#css_classes corrupts user.groups association cache added
